{
  "parent": "minecraft:recipes/root",
  "criteria": {
    "has_item": {
      "conditions": {
        "items": [
          {
            "items": [
              "minecraft:magenta_banner"
            ]
          }
        ]
      },
      "trigger": "minecraft:inventory_changed"
    },
    "has_the_recipe": {
      "conditions": {
        "recipe": "jbr:red_banner_from_magenta_banner"
      },
      "trigger": "minecraft:recipe_unlocked"
    }
  },
  "requirements": [
    [
      "has_item",
      "has_the_recipe"
    ]
  ],
  "rewards": {
    "recipes": [
      "jbr:red_banner_from_magenta_banner"
    ]
  }
}